Add Job Step

Prev Next
Post
/api/v1/Authoring/projects/{projectId}/jobs/{jobId}/steps

Add a step to a job

Path parameters
projectId
integer (int32) Required

Project containing the job

jobId
integer (int32) Required

Job to modify

Body parameters

Information about the new job step

object
sequence
integer (int32)

The step sequence

stepType
string
Valid values[ "Test", "Job", "DataProfileSet", "Folder" ]
objectId
integer (int32)

The step object's ID

configurationJson
string | null

The step's configuration, written in JSON

object
sequence
integer (int32)

The step sequence

stepType
string
Valid values[ "Test", "Job", "DataProfileSet", "Folder" ]
objectId
integer (int32)

The step object's ID

configurationJson
string | null

The step's configuration, written in JSON

object
sequence
integer (int32)

The step sequence

stepType
string
Valid values[ "Test", "Job", "DataProfileSet", "Folder" ]
objectId
integer (int32)

The step object's ID

configurationJson
string | null

The step's configuration, written in JSON

object
sequence
integer (int32)

The step sequence

stepType
string
Valid values[ "Test", "Job", "DataProfileSet", "Folder" ]
objectId
integer (int32)

The step object's ID

configurationJson
string | null

The step's configuration, written in JSON

Responses
200

OK

object
id
integer (int32)

The ID of the job step result

403

Forbidden

404

Not Found

object
error
string | null